/*-----------------------------------------------------------------------------
| Setup the initial UI state and add click event handlers for the buttons.
-----------------------------------------------------------------------------*/
$(document).ready(function () {
	$("#UpdatedMessage").hide();
	UpdateUI();

	$("#EnableHTML5").click(function () { ToggleSchemas(); });
	$("#DisableHTML5").click(function () { ToggleSchemas(); });
});

/*-----------------------------------------------------------------------------
| Calls into the managed portion of the addin to determine the current HTML 5
| schema status and updates the page UI accordingly.
-----------------------------------------------------------------------------*/
function UpdateUI() {
	if (html5schema.IsNewSchemaActive) {
		$("#CurrentState").html("New HTML 5 schema is currently <em>enabled</em>");
		$("#DisableHTML5").show();
		$("#EnableHTML5").hide();
	} else {
		$("#CurrentState").html("New HTML 5 schema is currently <em>disabled</em>");
		$("#DisableHTML5").hide();
		$("#EnableHTML5").show();
	}
}

/*-----------------------------------------------------------------------------
| Calls into the managed portion of the addin to update the schemas then
| updates the page's UI.
-----------------------------------------------------------------------------*/
function ToggleSchemas() {
	html5schema.ToggleHTML5Schemas();

	UpdateUI();
	UpdateMessages();
}

/*-----------------------------------------------------------------------------
| Effectively switches out the messages displayed to the user, 
| switching from the greeting message to the update message.
-----------------------------------------------------------------------------*/
function UpdateMessages() {
	$("#GreetingMessage").fadeOut(500);
	$("#GreetingMessage").queue(function () {
		$("#UpdatedMessage").fadeIn(500);
		$(this).dequeue();
	});
}
